import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { MonitorServiceProject } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 13:46
 */
interface MonitorServiceProjectCU extends ConditionUtil<MonitorServiceProjectCU>{
    ID:FieldUtil<MonitorServiceProjectCU>;
    SERVICE_CENTER_CODE:FieldUtil<MonitorServiceProjectCU>;
    SERVICE_CENTER_NAME:FieldUtil<MonitorServiceProjectCU>;
    APP_CODE:FieldUtil<MonitorServiceProjectCU>;
    APP_NAME:FieldUtil<MonitorServiceProjectCU>;
    ENV_CODE:FieldUtil<MonitorServiceProjectCU>;
    PROJECT_ID:FieldUtil<MonitorServiceProjectCU>;
    PROJECT_TYPE:FieldUtil<MonitorServiceProjectCU>;
    PID:FieldUtil<MonitorServiceProjectCU>;
    SERVICE_GROUP_ID:FieldUtil<MonitorServiceProjectCU>;
    DELETED:FieldUtil<MonitorServiceProjectCU>;
    CREATE_TIME:FieldUtil<MonitorServiceProjectCU>;
    UPDATE_TIME:FieldUtil<MonitorServiceProjectCU>;
}

class MonitorServiceProjectCUImpl extends ConditionUtilImpl<MonitorServiceProjectCUImpl> implements MonitorServiceProjectCU{ 
    newInstance(): MonitorServiceProjectCUImpl {
        return new MonitorServiceProjectCUImpl();
    } 
    get ID(): FieldUtil<MonitorServiceProjectCU>{  
        return new FieldUtil('id','id','主键', this);
    }
    get SERVICE_CENTER_CODE(): FieldUtil<MonitorServiceProjectCU>{  
        return new FieldUtil('service_center_code','serviceCenterCode','服务中心编码', this);
    }
    get SERVICE_CENTER_NAME(): FieldUtil<MonitorServiceProjectCU>{  
        return new FieldUtil('service_center_name','serviceCenterName','服务中心名称', this);
    }
    get APP_CODE(): FieldUtil<MonitorServiceProjectCU>{  
        return new FieldUtil('app_code','appCode','应用编码', this);
    }
    get APP_NAME(): FieldUtil<MonitorServiceProjectCU>{  
        return new FieldUtil('app_name','appName','应用名称', this);
    }
    get ENV_CODE(): FieldUtil<MonitorServiceProjectCU>{  
        return new FieldUtil('env_code','envCode','env_code', this);
    }
    get PROJECT_ID(): FieldUtil<MonitorServiceProjectCU>{  
        return new FieldUtil('project_id','projectId','project_id', this);
    }
    get PROJECT_TYPE(): FieldUtil<MonitorServiceProjectCU>{  
        return new FieldUtil('project_type','projectType','project_type', this);
    }
    get PID(): FieldUtil<MonitorServiceProjectCU>{  
        return new FieldUtil('pid','pid','pid', this);
    }
    get SERVICE_GROUP_ID(): FieldUtil<MonitorServiceProjectCU>{  
        return new FieldUtil('service_group_id','serviceGroupId','service_group_id', this);
    }
    get DELETED(): FieldUtil<MonitorServiceProjectCU>{  
        return new FieldUtil('deleted','deleted','deleted', this);
    }
    get CREATE_TIME(): FieldUtil<MonitorServiceProjectCU>{  
        return new FieldUtil('create_time','createTime','create_time', this);
    }
    get UPDATE_TIME(): FieldUtil<MonitorServiceProjectCU>{  
        return new FieldUtil('update_time','updateTime','update_time', this);
    }
}

@Singleton 
class MonitorServiceProjectMU extends TableUtilImpl<MonitorServiceProjectCU,MonitorServiceProject>{ 
    tableName  = 'monitor_service_project';
    tableFields  = ['id','service_center_code','service_center_name','app_code','app_name','env_code','project_id','project_type','pid','service_group_id','deleted','create_time','update_time'];
    modelFields  = ['id','serviceCenterCode','serviceCenterName','appCode','appName','envCode','projectId','projectType','pid','serviceGroupId','deleted','createTime','updateTime'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): MonitorServiceProjectCU {
        return new MonitorServiceProjectCUImpl();
    }   

    static get ID(): FieldUtil<MonitorServiceProjectCU>{ 
        return new FieldUtil('id','id','主键', new MonitorServiceProjectCUImpl());
    }
    static get SERVICE_CENTER_CODE(): FieldUtil<MonitorServiceProjectCU>{ 
        return new FieldUtil('service_center_code','serviceCenterCode','服务中心编码', new MonitorServiceProjectCUImpl());
    }
    static get SERVICE_CENTER_NAME(): FieldUtil<MonitorServiceProjectCU>{ 
        return new FieldUtil('service_center_name','serviceCenterName','服务中心名称', new MonitorServiceProjectCUImpl());
    }
    static get APP_CODE(): FieldUtil<MonitorServiceProjectCU>{ 
        return new FieldUtil('app_code','appCode','应用编码', new MonitorServiceProjectCUImpl());
    }
    static get APP_NAME(): FieldUtil<MonitorServiceProjectCU>{ 
        return new FieldUtil('app_name','appName','应用名称', new MonitorServiceProjectCUImpl());
    }
    static get ENV_CODE(): FieldUtil<MonitorServiceProjectCU>{ 
        return new FieldUtil('env_code','envCode','env_code', new MonitorServiceProjectCUImpl());
    }
    static get PROJECT_ID(): FieldUtil<MonitorServiceProjectCU>{ 
        return new FieldUtil('project_id','projectId','project_id', new MonitorServiceProjectCUImpl());
    }
    static get PROJECT_TYPE(): FieldUtil<MonitorServiceProjectCU>{ 
        return new FieldUtil('project_type','projectType','project_type', new MonitorServiceProjectCUImpl());
    }
    static get PID(): FieldUtil<MonitorServiceProjectCU>{ 
        return new FieldUtil('pid','pid','pid', new MonitorServiceProjectCUImpl());
    }
    static get SERVICE_GROUP_ID(): FieldUtil<MonitorServiceProjectCU>{ 
        return new FieldUtil('service_group_id','serviceGroupId','service_group_id', new MonitorServiceProjectCUImpl());
    }
    static get DELETED(): FieldUtil<MonitorServiceProjectCU>{ 
        return new FieldUtil('deleted','deleted','deleted', new MonitorServiceProjectCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<MonitorServiceProjectCU>{ 
        return new FieldUtil('create_time','createTime','create_time', new MonitorServiceProjectCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<MonitorServiceProjectCU>{ 
        return new FieldUtil('update_time','updateTime','update_time', new MonitorServiceProjectCUImpl());
    }

    get ID(): FieldUtil<MonitorServiceProjectCU>{ 
        return MonitorServiceProjectMU.ID;
    }
    get SERVICE_CENTER_CODE(): FieldUtil<MonitorServiceProjectCU>{ 
        return MonitorServiceProjectMU.SERVICE_CENTER_CODE;
    }
    get SERVICE_CENTER_NAME(): FieldUtil<MonitorServiceProjectCU>{ 
        return MonitorServiceProjectMU.SERVICE_CENTER_NAME;
    }
    get APP_CODE(): FieldUtil<MonitorServiceProjectCU>{ 
        return MonitorServiceProjectMU.APP_CODE;
    }
    get APP_NAME(): FieldUtil<MonitorServiceProjectCU>{ 
        return MonitorServiceProjectMU.APP_NAME;
    }
    get ENV_CODE(): FieldUtil<MonitorServiceProjectCU>{ 
        return MonitorServiceProjectMU.ENV_CODE;
    }
    get PROJECT_ID(): FieldUtil<MonitorServiceProjectCU>{ 
        return MonitorServiceProjectMU.PROJECT_ID;
    }
    get PROJECT_TYPE(): FieldUtil<MonitorServiceProjectCU>{ 
        return MonitorServiceProjectMU.PROJECT_TYPE;
    }
    get PID(): FieldUtil<MonitorServiceProjectCU>{ 
        return MonitorServiceProjectMU.PID;
    }
    get SERVICE_GROUP_ID(): FieldUtil<MonitorServiceProjectCU>{ 
        return MonitorServiceProjectMU.SERVICE_GROUP_ID;
    }
    get DELETED(): FieldUtil<MonitorServiceProjectCU>{ 
        return MonitorServiceProjectMU.DELETED;
    }
    get CREATE_TIME(): FieldUtil<MonitorServiceProjectCU>{ 
        return MonitorServiceProjectMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<MonitorServiceProjectCU>{ 
        return MonitorServiceProjectMU.UPDATE_TIME;
    }
}
export {MonitorServiceProjectMU, MonitorServiceProjectCU}
